---
name: Avatar
menu: Components
---

import { Playground, Props } from "docz";

import Avatar from "./Avatar";
import Grid from "./Grid";

# Avatar

## Best practices

- The avatar usually is displayed in the header. When the user hasn’t uploaded an image, his initials are shown.
- In case the user uploaded an image in his account, the avatar is shown with this image.
- Editable avatars show a camera icon, which you can click on to upload an image.
- Avatars that are placed in cards have a shadow.

<!-- Avatar -->

### Basic usage

<Playground>
  <Grid container spacing={2}>
    <Grid item>
      <Avatar alt="Avatar with initals">ST</Avatar>
    </Grid>
    <Grid item>
      <Avatar
        src="/public/company-logo.png"
        alt="Avatar with an upladed image"
      />
    </Grid>
    <Grid item>
      <Avatar
        src="/public/company-logo.png"
        alt="Avatar with an upladed image"
        boxShadow
      />
    </Grid>
    <Grid item>
      <Avatar
        src="/public/company-logo.png"
        alt="Avatar with an upladed image"
        boxShadow
        size="large"
      />
    </Grid>
  </Grid>
</Playground>

### Properties

<Props of={Avatar} />
